Subject: bug#28308: Build failure on FreeBSD/aarch64

From: Gergely Czuczy <[email-masked]>
Date: Mon, 4 Sep 2017 14:32:46 +0200

On 2017. 09. 02. 5:13, [email-masked] wrote:
> Gergely Czuczy <[email-masked]> writes:
>
>> EMACSLOADPATH= '../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)'  -f batch-byte-compile emacs-lisp/macroexp.el
>> (lldb) bt
>> * thread #1, name = 'bootstrap-emacs', stop reason = signal SIGSEGV
>>    * frame #0: 0x0000000000158584 bootstrap-emacs`oblookup + 120
>>      frame #1: 0x000000000015843c bootstrap-emacs`intern_1 + 92
>>      frame #2: 0x00000000000fb0cc bootstrap-emacs`Fdo_auto_save + 220
>>      frame #3: 0x00000000000c5bd8 bootstrap-emacs`shut_down_emacs + 216
>>      frame #4: 0x00000000000c5a04 bootstrap-emacs`terminate_due_to_signal + 128
>>      frame #5: 0x00000000000df574 bootstrap-emacs`deliver_fatal_thread_signal + 128
>>      frame #6: 0x00000000000e0ec8 bootstrap-emacs`handle_sigsegv + 164
>>      frame #7: 0x00000000404cfe80 libthr.so.3`handle_signal(actp=0x0000000000539600, sig=11, info=0x0000000000539670, ucp=0x00000000005396c0) at thr_sig.c:244
>>      frame #8: 0x00000000404cf5a4 libthr.so.3`thr_sighandler(sig=11, info=0x0000000000539670, _ucp=0x00000000005396c0) at thr_sig.c:189
> This looks like a segfault triggered from the segfault handler.  Can you
> run the batch-byte-compile command above under the debugger and catch
> the original segfault?
Sure, I can. However, could you please tell me the commands I need to 
run? Unfortunately I don't really have the time to do the legwork, 
however if the commands are given, I can run it and let you know of the 
results.